<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <appSettings>
    <add key="port" value="1234"/>
  </appSettings>
    <startup> 
        <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0" />
      <log4net>
        <!--定义输出到文件中-->
        <!--<appender name="LogFileAppender" type="log4net.Appender.FileAppender">-->
        <appender name="ReflectionLayout" type="log4net.Appender.RollingFileAppender,log4net">
          <!--定义文件输出位置-->
          <file value="C:/icslog/" />
          <lockingModel type="log4net.Appender.FileAppender+MinimalLock" />
          <appendToFile value="true" />
          <maxinumFileSize value="1024KB" />
          <maxSizeRollBackups value="10" />
          <staticLogFileName value="false" />
          <rollingStyle value="composite" />
          <datePattern value="yyyyMMdd/yyyyMMdd&quot;-ICS.log&quot;" />
          <countDirection value="1" />
          <layout type="log4net.Layout.PatternLayout">           
            <!--输出格式-->
            <conversionPattern value="%d  %m%n" />
          </layout>
        </appender>
        <!--定义日志的输出媒介-->
        <root>
          <!--<level value="all" />-->
          <!--文件形式记录日志-->
          <appender-ref ref="ReflectionLayout" />
        </root>
      </log4net>
    </startup>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="log4net" publicKeyToken="669e0ddf0bb1aa2a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-1.2.13.0" newVersion="1.2.13.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
</configuration>
